Bug 71900 - CSS Exclusions: parse the wrap-margin and wrap-padding properties
: CSS Exclusions: parse the wrap-margin and wrap-padding properties
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Mihnea Ovidenie
http://dev.w3.org/csswg/css3-exclusio...
: InRadar
Depends on:
Blocks: 57311
  Show dependency treegraph
 
Reported: 2011-11-09 06:33 PST by Alexandru Chiculita
Modified: 2011-11-17 04:46 PST (History)
8 users (show)

See Also:


Attachments
Patch (22.33 KB, patch)
2011-11-14 00:00 PST, Mihnea Ovidenie
webkit.review.bot: commit‑queue-
Details | Formatted Diff | Diff
Patch 2 (25.48 KB, patch)
2011-11-14 01:45 PST, Mihnea Ovidenie
webkit.review.bot: commit‑queue-
Details | Formatted Diff | Diff
Patch 3 (29.05 KB, patch)
2011-11-14 23:20 PST, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff
Patch for landing (31.00 KB, patch)
2011-11-17 03:24 PST, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandru Chiculita 2011-11-09 06:33:57 PST
Add parsing support for wrap-margin and wrap-padding of the CSS Exclusions spec.

http://dev.w3.org/csswg/css3-exclusions/#wrap-margin-property
http://dev.w3.org/csswg/css3-exclusions/#wrap-padding-property
Comment 1 Radar WebKit Bug Importer 2011-11-09 09:25:37 PST
<rdar://problem/10419706>
Comment 2 Mihnea Ovidenie 2011-11-14 00:00:20 PST
Created attachment 114892 [details]
Patch
Comment 3 WebKit Review Bot 2011-11-14 00:52:41 PST
Comment on attachment 114892 [details]
Patch

Attachment 114892 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10437137

New failing tests:
svg/css/getComputedStyle-basic.xhtml
fast/css/getComputedStyle/computed-style.html
fast/css/getComputedStyle/computed-style-without-renderer.html
Comment 4 Mihnea Ovidenie 2011-11-14 01:45:05 PST
Created attachment 114900 [details]
Patch 2

Now including the missed tests.
Comment 5 WebKit Review Bot 2011-11-14 05:44:32 PST
Comment on attachment 114900 [details]
Patch 2

Attachment 114900 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10472225

New failing tests:
svg/css/getComputedStyle-basic.xhtml
fast/css/getComputedStyle/computed-style.html
fast/css/getComputedStyle/computed-style-without-renderer.html
Comment 6 Mihnea Ovidenie 2011-11-14 07:38:07 PST
(In reply to comment #5)
> (From update of attachment 114900 [details])
> Attachment 114900 [details] did not pass chromium-ews (chromium-xvfb):
> Output: http://queues.webkit.org/results/10472225
> 
> New failing tests:
> svg/css/getComputedStyle-basic.xhtml
> fast/css/getComputedStyle/computed-style.html
> fast/css/getComputedStyle/computed-style-without-renderer.html

Not sure why it failed this time since i have modified the expected results.
Comment 7 Adam Barth 2011-11-14 08:55:24 PST
> Not sure why it failed this time since i have modified the expected results.

Perhaps different ports have different expectations for these tests based on which features they have enabled?
Comment 8 Mihnea Ovidenie 2011-11-14 09:29:33 PST
(In reply to comment #7)
> > Not sure why it failed this time since i have modified the expected results.
> 
> Perhaps different ports have different expectations for these tests based on which features they have enabled?

Actually, the failure comes from the chromium bot. Is there a way to see why a certain test has failed and the diff associated with the failure?
Comment 9 Mihnea Ovidenie 2011-11-14 23:20:21 PST
Created attachment 115103 [details]
Patch 3

Same patch with expected results for chromium-win.
Comment 10 WebKit Review Bot 2011-11-17 00:43:04 PST
Comment on attachment 115103 [details]
Patch 3

Rejecting attachment 115103 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
n/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.
Updating chromium port dependencies using gclient...

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/10340123
Comment 11 Adam Barth 2011-11-17 00:49:52 PST
1 out of 3 hunks FAILED -- saving rejects to file Source/WebCore/rendering/style/StyleRareNonInheritedData.cpp.rej
Comment 12 Mihnea Ovidenie 2011-11-17 03:24:58 PST
Created attachment 115553 [details]
Patch for landing
Comment 13 WebKit Review Bot 2011-11-17 04:46:34 PST
Comment on attachment 115553 [details]
Patch for landing

Clearing flags on attachment: 115553

Committed r100604: <http://trac.webkit.org/changeset/100604>
Comment 14 WebKit Review Bot 2011-11-17 04:46:40 PST
All reviewed patches have been landed.  Closing bug.